# QAbstractGraphicsShapeItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsItem.

### Constructor

- void QAbstractGraphicsShapeItem(QGraphicsItem parent, QGraphicsScene scene)

### Constructor Properties

- prototype: The QAbstractGraphicsShapeItem prototype object

### Prototype Object Properties

- QBrush brush()
- QPen pen()
- void setBrush(QBrush brush)
- void setPen(QPen pen)

### Instance Properties

QAbstractGraphicsShapeItem objects have no special properties beyond those inherited from the QAbstractGraphicsShapeItem prototype object.